
Redmine - Feature #30820

Drop setting "Blind carbon copy recipients (bcc)"

2019-02-17 21:00 - Marius BĂLTEANU

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Email notifications Estimated time: 0.00 hour

Target version: 5.0.0   

Resolution:    

Description

From #26791:

BCC recipients

Since each user gets their own mail, we can probably remove the setting to send mails with BCC completely. If plugins want to

send mails to non-user recipients, we would have to make sure to either set the recipients manually on BCC or group them

appropriately. It is not a required setting in Redmine core anymore though.

 I agree, the setting doesn't make any sense now.

Related issues:

Related to Redmine - Feature #26791: Send individual notification mails per m... Closed

Related to Redmine - Defect #30787: Other recipients are not listed in To fie... Closed

Related to Redmine - Feature #8516: Email notifications without the recipient... Closed 2011-06-03

Related to Redmine - Defect #35957: MessagesControllerTest#test_post_new test... Closed

Blocks Redmine - Patch #31035: Remove redefinition of ActionMailer::LogSubscr... Closed

Associated revisions

Revision 21130 - 2021-08-01 19:25 - Marius BĂLTEANU

Remove unused setting 'Blind carbon copy recipients (bcc)' (#30820).

Revision 21131 - 2021-08-01 19:38 - Marius BĂLTEANU

Remove 'setting_bcc_recipients' from locales (##30820).

History

#1 - 2019-02-17 21:00 - Marius BĂLTEANU

- Related to Feature #26791: Send individual notification mails per mail recipient added

#2 - 2019-02-17 21:00 - Marius BĂLTEANU

- Related to Defect #30787: Other recipients are not listed in To field even if Setting.bcc_recipients is false added

#3 - 2019-02-20 01:05 - Go MAEDA

- Assignee set to Jean-Philippe Lang

- Target version changed from Candidate for next major release to 4.0.2

+1

The setting has no effect since #26791 was implemented.

#4 - 2019-02-20 01:15 - Go MAEDA

Probably the patch also resolves #8516 because Redmine with the patch applied does not remove To field.

#5 - 2019-02-20 01:15 - Go MAEDA

- Related to Feature #8516: Email notifications without the recipient treated as attempted fraud by mail clients added
#6 - 2019-02-20 08:31 - Marius BĂLTEANU

Go MAEDA wrote:

Probably the patch also resolves #8516 because Redmine with the patch applied does not remove To field.

 Agree. Also, #30787 can be closed now from my point of view if you don't refer to other problem.

#7 - 2019-02-20 09:54 - Marius BĂLTEANU

- File deleted (0001-Remove-setting-Blind-carbon-copy-recipients-bcc.patch)

#8 - 2019-02-20 09:56 - Marius BĂLTEANU

- File 0001-Remove-setting-Blind-carbon-copy-recipients-bcc.patch added

Updated to remove bcc_recipients from settings.yml as well.

#9 - 2019-02-20 10:27 - Go MAEDA

- Category set to Email notifications

- Target version changed from 4.0.2 to 4.1.0

Since this patch adds a migration, I am changing the target version from 4.0.2 to 4.1.0.

#10 - 2019-03-17 05:01 - Go MAEDA

- Blocks Patch #31035: Remove redefinition of ActionMailer::LogSubscriber#deliver which is no longer necessary because of the removal of

Setting.bcc_recipients added

#11 - 2019-06-20 16:05 - Jean-Philippe Lang

- Target version changed from 4.1.0 to 5.0.0

Removing a setting may cause some plugins to error.

Setting it to a major release.

#12 - 2021-04-04 23:12 - Marius BĂLTEANU

- Assignee changed from Jean-Philippe Lang to Marius BĂLTEANU

#13 - 2021-04-11 10:16 - Marius BĂLTEANU

- File 0001-Remove-setting-Blind-carbon-copy-recipients-bcc.patch added

- Assignee deleted (Marius BĂLTEANU)

I've rebased the branch for the current trunk

#14 - 2021-04-11 11:09 - Marius BĂLTEANU

Marius BALTEANU wrote:

I've rebased the patch for the current trunk

#15 - 2021-04-12 20:57 - Holger Just

If entirely removing the setting is unwanted in 4.3, maybe we can deprecate it there.

That is, we could remove any code which uses the setting but keep the setting itself available in code (possible with some deprecation warning if

accessed)

#16 - 2021-07-04 15:26 - Marius BĂLTEANU

Holger Just wrote:

If entirely removing the setting is unwanted in 4.3, maybe we can deprecate it there.

That is, we could remove any code which uses the setting but keep the setting itself available in code (possible with some deprecation warning if

accessed)
 The next version is 5.0.0 which will contain other removals or breaking changes. I'm in favour of removing this and in the future, indeed, we can

deprecate it few versions before.

#17 - 2021-08-01 19:27 - Marius BĂLTEANU

- Status changed from New to Resolved

#18 - 2021-08-01 22:56 - Marius BĂLTEANU

Patch committed.

Plugins developers who are using bcc_recipients setting must add their own setting starting from Redmine 5.0.0.

#19 - 2021-08-01 22:56 - Marius BĂLTEANU

- Status changed from Resolved to Closed

- Assignee set to Marius BĂLTEANU

#20 - 2021-10-09 08:54 - Go MAEDA

- Related to Defect #35957: MessagesControllerTest#test_post_new test fails (trunk) added

#21 - 2022-03-27 05:02 - Go MAEDA

- Tracker changed from Patch to Feature

Files

0001-Remove-setting-Blind-carbon-copy-recipients-bcc.patch 23.8 KB 2019-02-20 Marius BĂLTEANU

0001-Remove-setting-Blind-carbon-copy-recipients-bcc.patch 25.9 KB 2021-04-11 Marius BĂLTEANU
